<?php

function get_flatsome_header_presets() {
	return array(
		'header-default'              => array(
			'label'    => __( 'Header Default', 'kirki' ),
			'settings' => array(
				"topbar_show"                   => 1,
				"topbar_elements_left"          => array( "html" ),
				"topbar_elements_center"        => array(),
				"topbar_elements_right"         => array( "nav-top", "social" ),
				"header_elements_left"          => array( "search", "nav" ),
				"header_elements_right"         => array( "account", "divider", "cart" ),
				"header_elements_bottom_left"   => array(),
				"header_elements_bottom_center" => array(),
				"header_elements_bottom_right"  => array(),
				"header_mobile_elements_top"    => array( "html" ),
				"header_mobile_elements_left"   => array( "menu-icon" ),
				"header_mobile_elements_right"  => array( "cart" ),
				"header_mobile_elements_bottom" => array(),
				"mobile_sidebar"                => array( "search-form", "nav", "account", "html-2", "html-3" ),
				"header_top_height"             => "30",
				"topbar_color"                  => "dark",
				"topbar_bg"                     => "",
				"nav_style_top"                 => "divided",
				"logo_position"                 => "left",
				"header_width"                  => "container",
				"header_height"                 => "100",
				"header_color"                  => "light",
				"header_bg"                     => "rgba(255,255,255,0.9)",
				"header_bg_img_repeat"          => "repeat-x",
				"box_shadow_header"             => "0",
				"nav_style"                     => "",
				"nav_size"                      => "",
				"type_nav_color"                => "",
				"type_nav_color_hover"          => "",
				"nav_uppercase"                 => "1",
				"header_height_transparent"     => "",
				"header_bg_transparent"         => "",
				"header_bg_transparent_shade"   => "0",
				"header_bottom_height"          => "",
				"nav_position_bg"               => "#f1f1f1",
				"nav_position_color"            => "light",
				"nav_style_bottom"              => "",
				"nav_size_bottom"               => "",
				"type_nav_bottom_color"         => "",
				"type_nav_bottom_color_hover"   => "",
				"nav_uppercase_bottom"          => "1",
			),
		),
		'header-default-center'       => array(
			'label'    => __( 'Header Default Center', 'kirki' ),
			'settings' => array(
				"topbar_show"                   => 1,
				"topbar_elements_left"          => array( "html" ),
				"topbar_elements_center"        => array(),
				"topbar_elements_right"         => array( "nav-top", "social" ),
				"header_elements_left"          => array( "search", "nav" ),
				"header_elements_right"         => array( "account", "divider", "cart" ),
				"header_elements_bottom_left"   => array(),
				"header_elements_bottom_center" => array(),
				"header_elements_bottom_right"  => array(),
				"header_mobile_elements_top"    => array( "html" ),
				"header_mobile_elements_left"   => array( "menu-icon" ),
				"header_mobile_elements_right"  => array( "cart" ),
				"header_mobile_elements_bottom" => array(),
				"mobile_sidebar"                => array( "search-form", "nav", "account", "html-2", "html-3" ),
				"header_top_height"             => "30",
				"topbar_color"                  => "dark",
				"topbar_bg"                     => "",
				"nav_style_top"                 => "divided",
				"logo_position"                 => "center",
				"header_width"                  => "container",
				"header_height"                 => "100",
				"header_color"                  => "light",
				"header_bg"                     => "rgba(255,255,255,0.9)",
				"header_bg_img_repeat"          => "repeat-x",
				"box_shadow_header"             => "0",
				"header_bottom_height"          => "",
				"nav_position_bg"               => "#f1f1f1",
				"nav_position_color"            => "light",
				"nav_style_bottom"              => "",
				"nav_size_bottom"               => "",
				"type_nav_bottom_color"         => "",
				"type_nav_bottom_color_hover"   => "",
				"nav_uppercase_bottom"          => "1",
			),
		),
		'header-default-dark'         => array(
			'label'    => __( 'Header Default Dark', 'kirki' ),
			'settings' => array(
				"topbar_show"                   => 0,
				"topbar_elements_left"          => array(),
				"topbar_elements_center"        => array(),
				"topbar_elements_right"         => array(),
				"header_elements_left"          => array( "search", "nav" ),
				"header_elements_right"         => array( "account", "divider", "cart" ),
				"header_elements_bottom_left"   => array(),
				"header_elements_bottom_center" => array(),
				"header_elements_bottom_right"  => array(),
				"header_mobile_elements_top"    => array( "html" ),
				"header_mobile_elements_left"   => array( "menu-icon" ),
				"header_mobile_elements_right"  => array( "cart" ),
				"header_mobile_elements_bottom" => array(),
				"mobile_sidebar"                => array( "search-form", "nav", "account", "html-2", "html-3" ),
				"header_top_height"             => array( "30" ),
				"topbar_color"                  => "dark",
				"topbar_bg"                     => "",
				"nav_style_top"                 => "divided",
				"logo_position"                 => "left",
				"header_width"                  => "container",
				"header_height"                 => "100",
				"header_color"                  => "dark",
				"header_bg"                     => "rgba(0,0,0,0.9)",
				"header_bg_img_repeat"          => "repeat-x",
				"box_shadow_header"             => "0",
				"nav_style"                     => "",
				"nav_size"                      => "",
				"type_nav_color"                => "",
				"type_nav_color_hover"          => "",
				"nav_uppercase"                 => "1",
				"header_height_transparent"     => "",
				"header_bg_transparent"         => "",
				"header_bg_transparent_shade"   => "0",
				"header_bottom_height"          => "",
				"nav_position_bg"               => "#f1f1f1",
				"nav_position_color"            => "light",
				"nav_style_bottom"              => "",
				"nav_size_bottom"               => "",
				"type_nav_bottom_color"         => "",
				"type_nav_bottom_color_hover"   => "",
				"nav_uppercase_bottom"          => "1",
			),
		),
		'header-wide-nav-dark'        => array(
			'label'    => __( 'Header Wide Nav Dark', 'kirki' ),
			'settings' => array(
				"topbar_show"                   => 1,
				"topbar_elements_left"          => array( "html" ),
				"topbar_elements_center"        => array(),
				"topbar_elements_right"         => array( "nav-top", "social" ),
				"header_elements_left"          => array( "search-form" ),
				"header_elements_right"         => array( "account", "divider", "cart" ),
				"header_elements_bottom_left"   => array( "nav" ),
				"header_elements_bottom_center" => array(),
				"header_elements_bottom_right"  => array(),
				"header_mobile_elements_top"    => array( "html" ),
				"header_mobile_elements_left"   => array( "menu-icon" ),
				"header_mobile_elements_right"  => array( "cart" ),
				"header_mobile_elements_bottom" => array(),
				"mobile_sidebar"                => array( "search-form", "nav", "account", "html-2", "html-3" ),
				"logo_width"                    => "166",
				"topbar_color"                  => "dark",
				"topbar_bg"                     => "rgba(94,94,94,0.42)",
				"nav_style_top"                 => "divided",
				"logo_position"                 => "left",
				"header_width"                  => "container",
				"header_height"                 => "91",
				"header_color"                  => "dark",
				"header_bg"                     => "rgba(22,22,22,0.9)",
				"header_bg_img_repeat"          => "repeat-x",
				"box_shadow_header"             => "0",
				"nav_style"                     => "",
				"nav_size"                      => "",
				"type_nav_color"                => "",
				"type_nav_color_hover"          => "",
				"nav_uppercase"                 => "1",
				"header_height_transparent"     => "",
				"header_bg_transparent"         => "",
				"header_bg_transparent_shade"   => "0",
				"header_bottom_height"          => "",
				"nav_position_bg"               => "#0A0A0A",
				"nav_position_color"            => "dark",
				"nav_style_bottom"              => "",
				"nav_size_bottom"               => "",
				"type_nav_bottom_color"         => "",
				"type_nav_bottom_color_hover"   => "",
				"nav_uppercase_bottom"          => "1",
			),
		),
		'header-wide-nav'             => array(
			'label'    => __( 'Header Wide Nav', 'kirki' ),
			'settings' => array(
				"topbar_show"                   => 1,
				"topbar_elements_left"          => array( "html" ),
				"topbar_elements_center"        => array(),
				"topbar_elements_right"         => array( "nav-top", "social" ),
				"header_elements_left"          => array( "search-form" ),
				"header_elements_right"         => array( "account", "divider", "cart" ),
				"header_elements_bottom_left"   => array( "nav" ),
				"header_elements_bottom_center" => array(),
				"header_elements_bottom_right"  => array(),
				"header_mobile_elements_top"    => array( "html" ),
				"header_mobile_elements_left"   => array( "menu-icon" ),
				"header_mobile_elements_right"  => array( "cart" ),
				"header_mobile_elements_bottom" => array(),
				"mobile_sidebar"                => array( "search-form", "nav", "account", "html-2", "html-3" ),
				"logo_width"                    => "166",
				"header_top_height"             => "30",
				"topbar_color"                  => "dark",
				"topbar_bg"                     => "",
				"nav_style_top"                 => "divided",
				"logo_position"                 => "left",
				"header_width"                  => "container",
				"header_height"                 => "91",
				"header_color"                  => "light",
				"header_bg"                     => "rgba(255,255,255,0.9)",
				"header_bg_img_repeat"          => "repeat-x",
				"box_shadow_header"             => "0",
				"nav_style"                     => "",
				"nav_size"                      => "",
				"type_nav_color"                => "",
				"type_nav_color_hover"          => "",
				"nav_uppercase"                 => "1",
				"header_height_transparent"     => "",
				"header_bg_transparent"         => "",
				"header_bg_transparent_shade"   => "0",
				"header_bottom_height"          => "43",
				"nav_position_bg"               => "#424242",
				"nav_position_color"            => "dark",
				"nav_style_bottom"              => "",
				"nav_size_bottom"               => "",
				"type_nav_bottom_color"         => "",
				"type_nav_bottom_color_hover"   => "",
				"nav_uppercase_bottom"          => "1",
			),
		),
		'header-simple'               => array(
			'label'    => __( 'Header Simple', 'kirki' ),
			'settings' => array(
				"topbar_show"                   => 0,
				"topbar_elements_left"          => array(),
				"topbar_elements_center"        => array(),
				"topbar_elements_right"         => array(),
				"header_elements_left"          => array(),
				"header_elements_right"         => array( "search", "menu-icon" ),
				"header_elements_bottom_left"   => array(),
				"header_elements_bottom_center" => array(),
				"header_elements_bottom_right"  => array(),
				"header_mobile_elements_top"    => array(),
				"header_mobile_elements_left"   => array(),
				"header_mobile_elements_right"  => array( "search", "menu-icon" ),
				"header_mobile_elements_bottom" => array(),
				"mobile_sidebar"                => array( "search-form", "nav", "account", "html-2", "html-3" ),
				"header_top_height"             => array( "30" ),
				"topbar_color"                  => "dark",
				"topbar_bg"                     => "",
				"nav_style_top"                 => "divided",
				"logo_position"                 => "left",
				"header_width"                  => "container",
				"header_height"                 => "72",
				"header_color"                  => "light",
				"header_bg"                     => "rgba(255,255,255,0.9)",
				"header_bg_img_repeat"          => "repeat-x",
				"box_shadow_header"             => "0",
				"nav_style"                     => "",
				"nav_size"                      => "",
				"type_nav_color"                => "",
				"type_nav_color_hover"          => "",
				"nav_uppercase"                 => "1",
				"header_height_transparent"     => "",
				"header_bg_transparent"         => "",
				"header_bg_transparent_shade"   => "0",
				"header_bottom_height"          => "",
				"nav_position_bg"               => "#f1f1f1",
				"nav_position_color"            => "light",
				"nav_style_bottom"              => "",
				"type_nav_bottom_color"         => "",
				"type_nav_bottom_color_hover"   => "",
				"nav_uppercase_bottom"          => "1",
			),
		),
		'header-simple-center'        => array(
			'label'    => __( 'Header Simple Center', 'kirki' ),
			'settings' => array(
				"topbar_show"                   => 0,
				"topbar_elements_left"          => array(),
				"topbar_elements_center"        => array(),
				"topbar_elements_right"         => array(),
				"header_elements_left"          => array( "menu-icon" ),
				"header_elements_right"         => array( "search" ),
				"header_elements_bottom_left"   => array(),
				"header_elements_bottom_center" => array(),
				"header_elements_bottom_right"  => array(),
				"header_mobile_elements_top"    => array(),
				"header_mobile_elements_left"   => array( "menu-icon" ),
				"header_mobile_elements_right"  => array( "search" ),
				"header_mobile_elements_bottom" => array(),
				"mobile_sidebar"                => array( "search-form", "nav", "html-2", "html-3" ),
				"header_top_height"             => array( "30" ),
				"topbar_color"                  => "dark",
				"topbar_bg"                     => "",
				"nav_style_top"                 => "divided",
				"logo_position"                 => "center",
				"header_width"                  => "container",
				"header_height"                 => "72",
				"header_color"                  => "light",
				"header_bg"                     => "rgba(240,240,240,0.9)",
				"header_bg_img_repeat"          => "repeat-x",
				"box_shadow_header"             => "0",
				"nav_style"                     => "",
				"nav_size"                      => "",
				"type_nav_color"                => "",
				"type_nav_color_hover"          => "",
				"nav_uppercase"                 => "1",
				"header_height_transparent"     => "",
				"header_bg_transparent"         => "",
				"header_bg_transparent_shade"   => "0",
				"header_bottom_height"          => "",
				"nav_position_bg"               => "#f1f1f1",
				"nav_position_color"            => "light",
				"nav_style_bottom"              => "",
				"type_nav_bottom_color"         => "",
				"type_nav_bottom_color_hover"   => "",
				"nav_uppercase_bottom"          => "1",
			),
		),
		'header-simple-signup'        => array(
			'label'    => __( 'Header Simple Signup', 'kirki' ),
			'settings' => array(
				"topbar_show"                   => 0,
				"topbar_elements_left"          => array(),
				"topbar_elements_center"        => array(),
				"topbar_elements_right"         => array(),
				"header_elements_left"          => array( "search", "nav" ),
				"header_elements_right"         => array( "button-1", "button-2" ),
				"header_elements_bottom_left"   => array(),
				"header_elements_bottom_center" => array(),
				"header_elements_bottom_right"  => array(),
				"header_mobile_elements_top"    => array(),
				"header_mobile_elements_left"   => array( "menu-icon" ),
				"header_mobile_elements_right"  => array(),
				"header_mobile_elements_bottom" => array(),
				"mobile_sidebar"                => array( "search-form", "nav", "button-1", "button-2", "html-2", "html-3" ),
				"logo_width"                    => "176",
				"topbar_color"                  => "dark",
				"topbar_bg"                     => "",
				"nav_style_top"                 => "divided",
				"logo_position"                 => "left",
				"header_width"                  => "container",
				"header_height"                 => "83",
				"header_color"                  => "light",
				"header_bg"                     => "rgba(255,255,255,0.9)",
				"header_bg_img_repeat"          => "repeat-x",
				"box_shadow_header"             => "0",
				"nav_style"                     => "",
				"nav_size"                      => "",
				"type_nav_color"                => "",
				"type_nav_color_hover"          => "",
				"nav_uppercase"                 => "1",
				"header_height_transparent"     => "",
				"header_bg_transparent"         => "",
				"header_bg_transparent_shade"   => "0",
				"header_bottom_height"          => "",
				"nav_position_bg"               => "#f1f1f1",
				"nav_position_color"            => "light",
				"nav_style_bottom"              => "",
				"nav_size_bottom"               => "",
				"type_nav_bottom_color"         => "",
				"type_nav_bottom_color_hover"   => "",
				"nav_uppercase_bottom"          => "1",
				"header_button_1"               => "Sign Up",
				"header_button_2"               => "Join",
				"header_button_2_color"         => "plain",
			),
		),
		'header-simple-right-buttons' => array(
			'label'    => __( 'Header Simple Right Buttons', 'kirki' ),
			'settings' => array(
				"topbar_show"                   => 0,
				"topbar_elements_left"          => array(),
				"topbar_elements_center"        => array(),
				"topbar_elements_right"         => array(),
				"header_elements_left"          => array(),
				"header_elements_right"         => array( "nav", "search", "button-1", "button-2" ),
				"header_elements_bottom_left"   => array(),
				"header_elements_bottom_center" => array(),
				"header_elements_bottom_right"  => array(),
				"header_mobile_elements_top"    => array(),
				"header_mobile_elements_left"   => array( "menu-icon" ),
				"header_mobile_elements_right"  => array( "search" ),
				"header_mobile_elements_bottom" => array(),
				"mobile_sidebar"                => array( "button-1", "button-2", "nav", "html-2", "html-3", "social" ),
				"logo_width"                    => "176",
				"topbar_color"                  => "dark",
				"topbar_bg"                     => "",
				"nav_style_top"                 => "divided",
				"logo_position"                 => "left",
				"header_width"                  => "container",
				"header_height"                 => "83",
				"header_color"                  => "light",
				"header_bg"                     => "rgba(255,255,255,0.9)",
				"header_bg_img_repeat"          => "repeat-x",
				"box_shadow_header"             => "0",
				"nav_style"                     => "",
				"nav_size"                      => "",
				"type_nav_color"                => "",
				"type_nav_color_hover"          => "",
				"nav_uppercase"                 => "1",
				"header_height_transparent"     => "",
				"header_bg_transparent"         => "",
				"header_bg_transparent_shade"   => "0",
				"header_bottom_height"          => "",
				"nav_position_bg"               => "#f1f1f1",
				"nav_position_color"            => "light",
				"nav_style_bottom"              => "",
				"nav_size_bottom"               => "",
				"type_nav_bottom_color"         => "",
				"type_nav_bottom_color_hover"   => "",
				"nav_uppercase_bottom"          => "1",
				"header_button_1"               => "Sign Up",
				"header_button_2"               => "Join",
				"header_button_2_color"         => "plain",
			),
		),
		'header-cart-top'             => array(
			'label'    => __( 'Header Cart Top', 'kirki' ),
			'settings' => array(
				"topbar_show"                   => 1,
				"topbar_elements_left"          => array( "html" ),
				"topbar_elements_center"        => array(),
				"topbar_elements_right"         => array( "nav-top", "account", "cart" ),
				"header_elements_left"          => array( "nav" ),
				"header_elements_right"         => array( "search-form" ),
				"header_elements_bottom_left"   => array(),
				"header_elements_bottom_center" => array(),
				"header_elements_bottom_right"  => array(),
				"header_mobile_elements_top"    => array( "html" ),
				"header_mobile_elements_left"   => array( "menu-icon" ),
				"header_mobile_elements_right"  => array( "search", "cart" ),
				"header_mobile_elements_bottom" => array(),
				"mobile_sidebar"                => array( "nav", "divider_3", "nav-top", "account", "html-2", "html-3" ),
				"logo_width"                    => "169",
				"header_top_height"             => array( "33" ),
				"topbar_color"                  => "dark",
				"topbar_bg"                     => "",
				"nav_style_top"                 => "divided",
				"logo_position"                 => "left",
				"header_width"                  => "container",
				"header_height"                 => "83",
				"header_color"                  => "light",
				"header_bg"                     => "rgba(255,255,255,0.9)",
				"header_bg_img_repeat"          => "repeat-x",
				"box_shadow_header"             => "0",
				"nav_style"                     => "",
				"nav_size"                      => "",
				"nav_push"                      => "0",
				"type_nav_color"                => "",
				"type_nav_color_hover"          => "",
				"nav_uppercase"                 => "1",
				"header_height_transparent"     => "",
				"header_bg_transparent"         => "",
				"header_bg_transparent_shade"   => "0",
				"header_bottom_height"          => "",
				"nav_position_bg"               => "#f1f1f1",
				"nav_position_color"            => "light",
				"nav_style_bottom"              => "",
				"nav_size_bottom"               => "",
				"type_nav_bottom_color"         => "",
				"type_nav_bottom_color_hover"   => "",
				"nav_uppercase_bottom"          => "1",
				"header_search_width"           => "100",
			),
		),
	);
}
